Retrieve a referrer
GET
apiKeyheader
AuthorizationBearer <token>Use a secret key such as sk_test_... in test mode or sk_live_... in production.
referrer_id*stringThe referrer.
application/json- response
id*stringprogram_id*stringexternal_id*stringemail*stringFormat
emailname?string|nullreferral_code*stringshare_url*stringFormat
uristats?metadata?Up to 20 string key-value pairs for your own use.
created_at*stringFormat
date-timecurl -X GET 'https://api.referralapi.example/v1/referrers/ref_3kT9wQx2'Example Response
{ "id": "ref_3kT9wQx2", "program_id": "string", "external_id": "string", "email": "user@example.com", "name": "string", "referral_code": "MAYA-20", "share_url": "https://acme.example/?ref=MAYA-20", "stats": { "clicks": 0, "signups": 0, "conversions": 0 }, "metadata": { "property1": "string", "property2": "string" }, "created_at": "2019-08-24T14:15:22Z"}